package org.example.shop;

import org.example.shop.pojo.UserInfo;
import org.example.shop.service.UserService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.util.Assert;

@SpringBootTest
@RunWith(SpringRunner.class)
public class UserServiceTest {

    private UserService userService;

    @Autowired
    public void setUserService(UserService userService) {
        this.userService = userService;
    }

    @Test
    public void testFindUser() {
        UserInfo zhangsan = userService.findByName("zhangsan");
        Assert.notNull(zhangsan, "查找张三失败");
        System.out.println(zhangsan);
        UserInfo lisi = userService.findByName("lisi");
        Assert.isNull(lisi, "李四应该未null");
    }
}
