package org.example.shop.service;

public interface MailService {
    boolean sendVerifyCode(String to, String code);

    /**
     * 给指定邮箱发送一个验证链接
     * @param to 邮箱
     * @param token 验证的token
     */
    boolean sendVerifyEmail(String to, String token);

    /**
     * 将发送邮件的消息发送队列中
     * @param to
     * @param token
     */
    void sendVerifyEmailMessage(String to,String token);
}
