package org.example.shop.dao;

import org.example.shop.pojo.UserInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * 用户数据操作
 */
@Repository
public interface UserDao extends JpaRepository<UserInfo, Integer> {
    UserInfo findByUsername(String username);
}
