package org.example.shop;

import org.example.shop.service.MailService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.util.Assert;

import javax.annotation.Resource;

@SpringBootTest
@RunWith(SpringRunner.class)
public class TestEmailSend {


    private MailService mailService;

    @Autowired
    public void setMailService(MailService mailService) {
        this.mailService = mailService;
    }

    @Test
    public void testSend() {
        boolean b = mailService.sendVerifyCode("yaclty@qq.com", "123323");
        Assert.isTrue(b, "发送邮件失败");
    }

    @Test
    public void testSendQueue() {
        mailService.sendVerifyEmail("yaclty@qq.com", "123323");
    }


}
