import { createApp } from 'vue'
import router from './routes'
// 导入AntDesign库
import AntD from 'ant-design-vue'
import 'ant-design-vue/dist/antd.css'
import App from './App.vue'


const app = createApp(App) // 创建vue app
app.use(router) // 使用路由
app.use(AntD)
app.mount('#app') // 将vue app绑定到index.html中的 div#app 元素上
